<?xml version="1.0" encoding="UTF-8"?>
<LDAPStructure name="GeneratedFile" version="1.0">
    <attributeType name="labeledURI" oid="1.3.6.1.4.1.250.1.57">
        <!--dn="m-oid=1.3.6.1.4.1.250.1.57,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2079: Uniform Resource Identifier with optional label</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.15</syntax>
        <equality>caseExactMatch</equality>
    </attributeType>
    <attributeType name="nameForms" oid="2.5.21.7">
        <!--dn="m-oid=2.5.21.7,ou=attributeTypes,cn=system,ou=schema"-->
        <description/>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.35</syntax>
        <equality>objectIdentifierFirstComponentMatch</equality>
    </attributeType>
    <attributeType name="dITContentRules" oid="2.5.21.2">
        <!--dn="m-oid=2.5.21.2,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2252: DIT content rules</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.16</syntax>
        <equality>objectIdentifierFirstComponentMatch</equality>
    </attributeType>
    <attributeType name="vendorVersion" oid="1.3.6.1.1.5">
        <!--dn="m-oid=1.3.6.1.1.5,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC3045: version of implementation</description>
        <singlevalue>true</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.15</syntax>
        <equality>caseExactMatch</equality>
    </attributeType>
    <attributeType name="matchingRuleUse" oid="2.5.21.8">
        <!--dn="m-oid=2.5.21.8,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2252: matching rule uses</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.31</syntax>
        <equality>objectIdentifierFirstComponentMatch</equality>
    </attributeType>
    <attributeType name="subtreeSpecification" oid="2.5.18.6">
        <!--dn="m-oid=2.5.18.6,ou=attributeTypes,cn=system,ou=schema"-->
        <description/>
        <singlevalue>true</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.45</syntax>
    </attributeType>
    <attributeType name="subschemaSubentry" oid="2.5.18.10">
        <!--dn="m-oid=2.5.18.10,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2252: name of controlling subschema entry</description>
        <singlevalue>true</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.12</syntax>
        <equality>distinguishedNameMatch</equality>
    </attributeType>
    <attributeType name="supportedFeatures" oid="1.3.6.1.4.1.4203.1.3.5">
        <!--dn="m-oid=1.3.6.1.4.1.4203.1.3.5,ou=attributeTypes,cn=system,ou=schema"-->
        <description/>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.38</syntax>
        <equality>objectIdentifierMatch</equality>
    </attributeType>
    <attributeType name="entryTtl" oid="1.3.6.1.4.1.1466.101.119.3">
        <!--dn="m-oid=1.3.6.1.4.1.1466.101.119.3,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2589: entry time-to-live</description>
        <singlevalue>true</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.27</syntax>
    </attributeType>
    <attributeType name="hasSubordinates" oid="2.5.18.9">
        <!--dn="m-oid=2.5.18.9,ou=attributeTypes,cn=system,ou=schema"-->
        <description>X.501: entry has children</description>
        <singlevalue>true</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.7</syntax>
        <equality>booleanMatch</equality>
    </attributeType>
    <attributeType name="modifiersName" oid="2.5.18.4">
        <!--dn="m-oid=2.5.18.4,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2252: name of last modifier</description>
        <singlevalue>true</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.12</syntax>
        <equality>distinguishedNameMatch</equality>
    </attributeType>
    <attributeType name="altServer" oid="1.3.6.1.4.1.1466.101.120.6">
        <!--dn="m-oid=1.3.6.1.4.1.1466.101.120.6,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2252: alternative servers</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.26</syntax>
    </attributeType>
    <attributeType name="name" oid="2.5.4.41">
        <!--dn="m-oid=2.5.4.41,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2256: common supertype of name attributes</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.15</syntax>
        <equality>caseIgnoreMatch</equality>
        <substr>caseIgnoreSubstringsMatch</substr>
    </attributeType>
    <attributeType name="dITStructureRules" oid="2.5.21.1">
        <!--dn="m-oid=2.5.21.1,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2252: DIT structure rules</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.17</syntax>
        <equality>integerFirstComponentMatch</equality>
    </attributeType>
    <attributeType name="structuralObjectClass" oid="2.5.21.9">
        <!--dn="m-oid=2.5.21.9,ou=attributeTypes,cn=system,ou=schema"-->
        <description>X.500(93): structural object class of entry</description>
        <singlevalue>true</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.38</syntax>
        <equality>objectIdentifierMatch</equality>
    </attributeType>
    <attributeType name="objectClasses" oid="2.5.21.6">
        <!--dn="m-oid=2.5.21.6,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2252: object classes</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.37</syntax>
        <equality>objectIdentifierFirstComponentMatch</equality>
    </attributeType>
    <attributeType name="distinguishedName" oid="2.5.4.49">
        <!--dn="m-oid=2.5.4.49,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2256: common supertype of DN attributes</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.12</syntax>
        <equality>distinguishedNameMatch</equality>
    </attributeType>
    <attributeType name="ref" oid="2.16.840.1.113730.3.1.34">
        <!--dn="m-oid=2.16.840.1.113730.3.1.34,ou=attributeTypes,cn=system,ou=schema"-->
        <description>namedref: subordinate referral URL</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.15</syntax>
        <equality>caseExactMatch</equality>
    </attributeType>
    <attributeType name="namingContexts" oid="1.3.6.1.4.1.1466.101.120.5">
        <!--dn="m-oid=1.3.6.1.4.1.1466.101.120.5,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2252: naming contexts</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.12</syntax>
    </attributeType>
    <attributeType name="matchingRules" oid="2.5.21.4">
        <!--dn="m-oid=2.5.21.4,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2252: matching rules</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.30</syntax>
        <equality>objectIdentifierFirstComponentMatch</equality>
    </attributeType>
    <attributeType name="cn commonName" oid="2.5.4.3">
        <!--dn="m-oid=2.5.4.3,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2256: common name(s) for which the entity is known by</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.15</syntax>
        <equality>caseIgnoreMatch</equality>
        <substr>caseIgnoreSubstringsMatch</substr>
    </attributeType>
    <attributeType name="dynamicSubtrees" oid="1.3.6.1.4.1.1466.101.119.4">
        <!--dn="m-oid=1.3.6.1.4.1.1466.101.119.4,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2589: dynamic subtrees</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.12</syntax>
    </attributeType>
    <attributeType name="supportedExtension" oid="1.3.6.1.4.1.1466.101.120.7">
        <!--dn="m-oid=1.3.6.1.4.1.1466.101.120.7,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2252: supported extended operations</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.38</syntax>
    </attributeType>
    <attributeType name="supportedControl" oid="1.3.6.1.4.1.1466.101.120.13">
        <!--dn="m-oid=1.3.6.1.4.1.1466.101.120.13,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2252: supported controls</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.38</syntax>
    </attributeType>
    <attributeType name="createTimestamp" oid="2.5.18.1">
        <!--dn="m-oid=2.5.18.1,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2252: time which object was created</description>
        <singlevalue>true</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.24</syntax>
        <equality>generalizedTimeMatch</equality>
        <ordering>generalizedTimeOrderingMatch</ordering>
    </attributeType>
    <attributeType name="creatorsName" oid="2.5.18.3">
        <!--dn="m-oid=2.5.18.3,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2252: name of creator</description>
        <singlevalue>true</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.12</syntax>
        <equality>distinguishedNameMatch</equality>
    </attributeType>
    <attributeType name="modifyTimestamp" oid="2.5.18.2">
        <!--dn="m-oid=2.5.18.2,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2252: time which object was last modified</description>
        <singlevalue>true</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.24</syntax>
        <equality>generalizedTimeMatch</equality>
        <ordering>generalizedTimeOrderingMatch</ordering>
    </attributeType>
    <attributeType name="collectiveExclusions" oid="2.5.18.7">
        <!--dn="m-oid=2.5.18.7,ou=attributeTypes,cn=system,ou=schema"-->
        <description/>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.38</syntax>
        <equality>objectIdentifierMatch</equality>
    </attributeType>
    <attributeType name="vendorName" oid="1.3.6.1.1.4">
        <!--dn="m-oid=1.3.6.1.1.4,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC3045: name of implementation vendor</description>
        <singlevalue>true</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.15</syntax>
        <equality>caseExactMatch</equality>
    </attributeType>
    <attributeType name="supportedLDAPVersion" oid="1.3.6.1.4.1.1466.101.120.15">
        <!--dn="m-oid=1.3.6.1.4.1.1466.101.120.15,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2252: supported LDAP versions</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.27</syntax>
    </attributeType>
    <attributeType name="administrativeRole" oid="2.5.18.5">
        <!--dn="m-oid=2.5.18.5,ou=attributeTypes,cn=system,ou=schema"-->
        <description/>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.38</syntax>
        <equality>objectIdentifierMatch</equality>
    </attributeType>
    <attributeType name="collectiveAttributeSubentries" oid="2.5.18.12">
        <!--dn="m-oid=2.5.18.12,ou=attributeTypes,cn=system,ou=schema"-->
        <description/>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.12</syntax>
        <equality>distinguishedNameMatch</equality>
    </attributeType>
    <attributeType name="userPassword" oid="2.5.4.35">
        <!--dn="m-oid=2.5.4.35,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2256/2307: password of user</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.40</syntax>
        <equality>octetStringMatch</equality>
    </attributeType>
    <attributeType name="aliasedObjectName aliasedEntryName" oid="2.5.4.1">
        <!--dn="m-oid=2.5.4.1,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2256: name of aliased object</description>
        <singlevalue>true</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.12</syntax>
        <equality>distinguishedNameMatch</equality>
    </attributeType>
    <attributeType name="objectClass" oid="2.5.4.0">
        <!--dn="m-oid=2.5.4.0,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2256: object classes of the entity</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.38</syntax>
        <equality>objectIdentifierMatch</equality>
    </attributeType>
    <attributeType name="supportedSASLMechanisms" oid="1.3.6.1.4.1.1466.101.120.14">
        <!--dn="m-oid=1.3.6.1.4.1.1466.101.120.14,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2252: supported SASL mechanisms</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.15</syntax>
    </attributeType>
    <attributeType name="ldapSyntaxes" oid="1.3.6.1.4.1.1466.101.120.16">
        <!--dn="m-oid=1.3.6.1.4.1.1466.101.120.16,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2252: LDAP syntaxes</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.54</syntax>
        <equality>objectIdentifierFirstComponentMatch</equality>
    </attributeType>
    <attributeType name="attributeTypes" oid="2.5.21.5">
        <!--dn="m-oid=2.5.21.5,ou=attributeTypes,cn=system,ou=schema"-->
        <description>RFC2252: attribute types</description>
        <singlevalue>false</singlevalue>
        <syntax>1.3.6.1.4.1.1466.115.121.1.3</syntax>
        <equality>objectIdentifierFirstComponentMatch</equality>
    </attributeType>
</LDAPStructure>
